Subject: [xml2rfc] [PATCH] Show HTML body only?

From: Samuel Marks <[email-masked]>
Date: Tue, 11 Dec 2018 12:17:08 +1100

WiP, RFC

Reasoning for this feature:
- Writing SPA with separate templates, want to integrate RFCs into the
website.
- HTML emitted from xml2rfc has lots of tags that aren't needed, like
<link>, <script>, <style> and everything in <head>, as well as the outer
<html>, <body> and DOCSTRING tags.

I was thinking to use another script to parse out the HTML, but the most
popular tool for server-side parsing in JavaScript failed to marshal the
file. (JSDOM)

On the otherhand, using IETF tools, I can extract just the body, like so:

hxnormalize -xe foo.html | hxselect -cs '\n' 'body'

But I was still thinking that extending the xml2rfc tool with this use case
would be a cleaner solution.

What do you think? - Want me to finish this patch, or abandon?

Thanks